### Method

# Gimp Image get_xcf_file

since: 2.8

#### Declaration [src]

    GFile*
    gimp_image_get_xcf_file (
      GimpImage* image
    )

#### Description [src]

Returns the XCF file for the specified image.

This procedure returns the XCF file associated with the image. If there is no such file, this procedure returns `NULL`.

Available since: 2.8

#### Return value

Type: `GFile`

The imported XCF file.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.